Bug 140446 - driveorder value not in generated anaconda-ks.cfg
Summary: driveorder value not in generated anaconda-ks.cfg
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard: FC4
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-22 21:54 UTC by david d zuhn
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 20:21:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description david d zuhn 2004-11-22 21:54:41 UTC
Description of problem:

I have a system with several HBAs installed, which show up as sda
through sdc, with my local SCSI drive (which should be the boot disk)
as sde.  

I need to change the driveorder value during the installation (using
the Advanced Boot Loader Options screen).    However, the generated
kickstart file (installed as /root/anaconda-ks.cfg) doesn't reflect
this setting.

This bug is representive of a larger problem -- I have hopes that a
manual installation of a system, using whatever options and choices
made by the user, can be completely recreated by a kickstart file, and
that the generated kickstart file should reflect EVERY choice and
setting made by the user.


Version-Release number of selected component (if applicable):
RHEL 3AS (Update 3)  anaconda 9.1.3-3.RHEL

How reproducible:
completely.

Steps to Reproduce:
1. perform an installation, changing the driveorder
2. boot the system, examine /root/anaconda-ks.cfg
3.
  
Actual results:
no driveorder option

Expected results:
the option value as selected by the user should be present

Additional info:


Note You need to log in before you can comment on or make changes to this bug.